View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000118Ecere SDKidepublic2008-08-20 08:412012-03-29 07:52
Reporterredj 
Assigned Toredj 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000118: per file preprocessor definitions
Descriptionallow projects to use have preprocessor definitions specific to any file
Additional Informationinclude the file-specific preprocessor definitions in the generated makefile
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000075)
redj (administrator)
2008-08-20 08:46

done, node properties (alt-enter) to edit file-specific preprocessor definitions
saves and load from project file and goes into generated makefile
also in node properties, preprocessor defs are edited as a space seperated list and allow per-config control using the following syntax
DEFINITION_NAME1[:config_name[:config_name[...]]]
ex.: _DEBUG:Debug VERBOSE
in this example, _DEBUG will be defined only when the "Debug" configuration is used and VERBOSE will be defined regardless of configuration

- Issue History
Date Modified Username Field Change
2008-08-20 08:41 redj New Issue
2008-08-20 08:41 redj Status new => assigned
2008-08-20 08:41 redj Assigned To => redj
2008-08-20 08:46 redj Status assigned => resolved
2008-08-20 08:46 redj Resolution open => fixed
2008-08-20 08:46 redj Note Added: 0000075
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:52 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker